Name:           python-custodian
Version:        2025.4.14
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A simple JIT job management framework in Python.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://materialsproject.github.io/custodian
Source:         %{pypi_source custodian}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'custodian' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-custodian
Summary:        %{summary}

%description -n python3-custodian %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-custodian error-statistics,gaussian,matsci


%prep
%autosetup -p1 -n custodian-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x error-statistics,gaussian,matsci


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-custodian -f %{pyproject_files}


%changelog
%autochangelog